{% extends "account/base.html.twig" %}

{% block main %}
    <div class="row justify-content-between m-2">
        <div class="col-4"><h1>Articles</h1></div>
        <div class="col-4">
            <a class="btn btn-primary" href="http://localhost:86/openblog/public/account/articles/add" role="button">Add an article</a>
        </div>
    </div>
    <div class="articles">
    {% for article in articles %}
        <div class="card h-30 text-bg-light border-card m-3">
            <h5 class="card-header">{{article.lede}}</h5>
            <div class="card-body text-truncate">
                <div class=" p-2">
                    <p class="card-text">{{article.text | striptags('') | raw}}</p>
                </div>
                <a href="http://localhost:86/openblog/public/blog/{{article.id}}" class="btn btn-primary" role="button">View</a>
                <a href="http://localhost:86/openblog/public/account/articles/update/{{article.id}}" class="btn btn-warning" role="button">Update</a>
            </div>
        </div>
    {% endfor %}
    </div>


{% endblock %}